GNU bug report logs - #12976
24.2; C-c i is bound to custom function, but in a term buffer it gets bound to ido-insert-file

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Joseph Mingrone <jrm@HIDDEN>; dated Sat, 24 Nov 2012 01:52:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 12976-done <at> debbugs.gnu.org:


Received: (at 12976-done) by debbugs.gnu.org; 14 Jul 2013 01:14:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 21:14:59 2013
Received: from localhost ([127.0.0.1]:53502 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UyAtu-0006dA-Cc
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2013 21:14:58 -0400
Received: from mail-qe0-f47.google.com ([209.85.128.47]:64810)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jlf@HIDDEN>) id 1UyAts-0006cj-72
 for 12976-done <at> debbugs.gnu.org; Sat, 13 Jul 2013 21:14:56 -0400
Received: by mail-qe0-f47.google.com with SMTP id 1so5802529qec.20
 for <12976-done <at> debbugs.gnu.org>; Sat, 13 Jul 2013 18:14:50 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=google.com; s=20120113;
 h=mime-version:sender:in-reply-to:references:from:date
 :x-google-sender-auth:message-id:subject:to:cc:content-type
 :x-gm-message-state;
 bh=Y1VZbB7zjDtT56g5zCJEdo7EedYDvE687Uaa/m3IJas=;
 b=QnFq4/v8qzpcpbKSpL7Je6edIxaNFgDgj81h8CAMGFf4W23uQe+ux6x6PvoI6B6Oiq
 FHUs7RIHilQ4Q6XpUiHHrwLhpjhKO0Mse7gz2lV3u3p96KdPZMYQLHN6B9FKpQJNPDM9
 IEzPapLtaWvP6w5AlKrRacCyOuOeKg6AFRjJ+D9/ktBM12bkNVAMHVxEYwWG3EisATWI
 ZmaYC1fegB5VOmQm04iYHZo3+jCa96GoHk5EJGdVjCUaE0QOJavnXV1bNPhPH7jXDAKd
 85skYamIcRpHQKLbcKPO+xFMLGJOGPKFUZX9nZ2lu2kE7AU0IR4OUrUuysgsD6Zn7U5E
 RyjQ==
X-Received: by 10.229.201.129 with SMTP id fa1mr10145443qcb.103.1373764490816; 
 Sat, 13 Jul 2013 18:14:50 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.49.30.41 with HTTP; Sat, 13 Jul 2013 18:14:20 -0700 (PDT)
In-Reply-To: <m1mwpspms1.fsf@HIDDEN>
References: <86k3tbg7rq.fsf@HIDDEN> <exboenekdz.fsf@HIDDEN>
 <m1mwpspms1.fsf@HIDDEN>
From: Josh <josh@HIDDEN>
Date: Sat, 13 Jul 2013 18:14:20 -0700
X-Google-Sender-Auth: lgCRBXT5I4fXYj6_i99EMh0Xn68
Message-ID: <CANdFEAFYd-6Y=9sSuO1aube6X87TDk+tNgrJbbUoHc1H-+yi+g@HIDDEN>
Subject: Re: bug#12976: 24.2; C-c i is bound to custom function, but in a term
 buffer it gets bound to ido-insert-file
To: 12976 <at> debbugs.gnu.org, jrm@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
X-Gm-Message-State: ALoCoQmi3l1gGwvKEL7EqI3MidsMyIbvXoL6TolRsVi4lbvKgxekQkR2ChYF5c85uu0omvl5YSDO
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 12976-done
Cc: Glenn Morris <rgm@HIDDEN>, 12976-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, Jul 11, 2013 at 6:52 PM, Leo Liu <sdl.web@HIDDEN> wrote:
> On 2012-11-24 11:43 +0800, Glenn Morris wrote:
>> Now `C-c i' is bound to insert-file. I guess this is because
>> term-escape-char = C-c, and term-raw-escape-map has Control-X-prefix as
>> parent keymap. I don't know what, if anything, to do about this.
>
> I consider this not a bug.

I certainly do.  From (info "(elisp) Key Binding Conventions") :

     * Don't define `C-c LETTER' as a key in Lisp programs.  Sequences
       consisting of `C-c' and a letter (either upper or lower case) are
       reserved for users; they are the *only* sequences reserved for
       users, so do not block them.

       Changing all the Emacs major modes to respect this convention was a
       lot of work; abandoning this convention would make that work go to
       waste, and inconvenience users.  Please comply with it.

> This is how term.el works because it has drastically different key
> bindings. Thus it gives the user C-c to invoke those critical commands
> on the C-x prefix, or you will be trapped in term-mode forever.

Several of the commands that term.el binds to C-c <letter> are
anything but critical, e.g. set-fill-column (C-c f) and
count-lines-page (C-c l).  Furthermore, as for being "trapped
forever," I see no reason for C-c in particular to be appropriated for
this purpose instead of some other control character that would leave
users' bindings intact, or even moving `ctl-x-map' from C-c to C-c
C-x, though this would be more effort to implement.

> User-defined commands are secondary in this scenario.

The passage I cited refers to "all the Emacs major modes".  Is there
any reason to believe that term.el should be exempt from adhering to
this convention?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12976; Package emacs. Full text available.

Message received at 12976 <at> debbugs.gnu.org:


Received: (at 12976) by debbugs.gnu.org; 14 Jul 2013 01:15:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 21:15:00 2013
Received: from localhost ([127.0.0.1]:53504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UyAtv-0006dD-C1
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2013 21:14:59 -0400
Received: from mail-qe0-f52.google.com ([209.85.128.52]:34472)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jlf@HIDDEN>) id 1UyAts-0006ci-EL
 for 12976 <at> debbugs.gnu.org; Sat, 13 Jul 2013 21:14:57 -0400
Received: by mail-qe0-f52.google.com with SMTP id i11so5826200qej.39
 for <12976 <at> debbugs.gnu.org>; Sat, 13 Jul 2013 18:14:50 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=google.com; s=20120113;
 h=mime-version:sender:in-reply-to:references:from:date
 :x-google-sender-auth:message-id:subject:to:cc:content-type
 :x-gm-message-state;
 bh=Y1VZbB7zjDtT56g5zCJEdo7EedYDvE687Uaa/m3IJas=;
 b=SaG1o459au+Gh0Jf3RWJV3fu1WgRC8k5F9Mqr/fq4v1oUOZsnFv7FhsuIuY9gIlVys
 akAfg641Cq/RcojUVWcA9nD25Y0qpBkRpSS2YEZIFuTHWnBvfVuegnxpUBv+1abvWWIl
 Oe75hmhdTRtEjSwdPpASiLXPjaq6b1fK1NNgtyAzSAKSC0yfrJGFwisfac7RnwTGHAyo
 z8ua6Fm78ffcTjI4oipWMzJ/zEzuu0LxbmRMrhHkb4dwcOtZT7dHGHiLqGpBW7U0ZhrU
 7bpwgaQIYNZaWcVAmNCyQMrVKjcXc6f4W9nSBSEagChZh7AvNBZb7T+1SqNDiBtGeUFa
 xj9Q==
X-Received: by 10.229.201.129 with SMTP id fa1mr10145443qcb.103.1373764490816; 
 Sat, 13 Jul 2013 18:14:50 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.49.30.41 with HTTP; Sat, 13 Jul 2013 18:14:20 -0700 (PDT)
In-Reply-To: <m1mwpspms1.fsf@HIDDEN>
References: <86k3tbg7rq.fsf@HIDDEN> <exboenekdz.fsf@HIDDEN>
 <m1mwpspms1.fsf@HIDDEN>
From: Josh <josh@HIDDEN>
Date: Sat, 13 Jul 2013 18:14:20 -0700
X-Google-Sender-Auth: lgCRBXT5I4fXYj6_i99EMh0Xn68
Message-ID: <CANdFEAFYd-6Y=9sSuO1aube6X87TDk+tNgrJbbUoHc1H-+yi+g@HIDDEN>
Subject: Re: bug#12976: 24.2; C-c i is bound to custom function, but in a term
 buffer it gets bound to ido-insert-file
To: 12976 <at> debbugs.gnu.org, jrm@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
X-Gm-Message-State: ALoCoQm7rPuCrIo1hNXbgbTIpVKF55NYeKIS2rCFpTFt2KczQ7jxE3I47n8YjL2OG0Uium2tiB1C
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 12976
Cc: Glenn Morris <rgm@HIDDEN>, 12976-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, Jul 11, 2013 at 6:52 PM, Leo Liu <sdl.web@HIDDEN> wrote:
> On 2012-11-24 11:43 +0800, Glenn Morris wrote:
>> Now `C-c i' is bound to insert-file. I guess this is because
>> term-escape-char = C-c, and term-raw-escape-map has Control-X-prefix as
>> parent keymap. I don't know what, if anything, to do about this.
>
> I consider this not a bug.

I certainly do.  From (info "(elisp) Key Binding Conventions") :

     * Don't define `C-c LETTER' as a key in Lisp programs.  Sequences
       consisting of `C-c' and a letter (either upper or lower case) are
       reserved for users; they are the *only* sequences reserved for
       users, so do not block them.

       Changing all the Emacs major modes to respect this convention was a
       lot of work; abandoning this convention would make that work go to
       waste, and inconvenience users.  Please comply with it.

> This is how term.el works because it has drastically different key
> bindings. Thus it gives the user C-c to invoke those critical commands
> on the C-x prefix, or you will be trapped in term-mode forever.

Several of the commands that term.el binds to C-c <letter> are
anything but critical, e.g. set-fill-column (C-c f) and
count-lines-page (C-c l).  Furthermore, as for being "trapped
forever," I see no reason for C-c in particular to be appropriated for
this purpose instead of some other control character that would leave
users' bindings intact, or even moving `ctl-x-map' from C-c to C-c
C-x, though this would be more effort to implement.

> User-defined commands are secondary in this scenario.

The passage I cited refers to "all the Emacs major modes".  Is there
any reason to believe that term.el should be exempt from adhering to
this convention?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12976; Package emacs. Full text available.

Message received at 12976-done <at> debbugs.gnu.org:


Received: (at 12976-done) by debbugs.gnu.org; 12 Jul 2013 01:53:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 11 21:53:12 2013
Received: from localhost ([127.0.0.1]:48991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UxSXo-0005T1-HC
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2013 21:53:12 -0400
Received: from mail-pb0-f51.google.com ([209.85.160.51]:63036)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sdl.web@HIDDEN>) id 1UxSXm-0005Sk-O1
 for 12976-done <at> debbugs.gnu.org; Thu, 11 Jul 2013 21:53:11 -0400
Received: by mail-pb0-f51.google.com with SMTP id um15so8537374pbc.10
 for <12976-done <at> debbugs.gnu.org>; Thu, 11 Jul 2013 18:53:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:face:reply-to:date:in-reply-to
 :message-id:user-agent:mime-version:content-type;
 bh=9CmSlHFkVfETHpkKdvQGjQqNEwZRfCsS3MqIrFScdTA=;
 b=jiZ+GRq0b1C3NUZklaHa/R01Xkg16F+JJ9Tl0AQfqY2Ug16pTkJNYujRHN3xZGJTuh
 B/AAnDr913p79+d0yYgsgfY1tgjItshTHC+o65NblUZU35DGpimeHyXzF/quv67dDl4h
 Dvlps4pXv3B/n1YisaYMr/U4FoQdASZ9NZJcdebtf/OI4vkh52obk4vajOmyYNpilTO6
 jfFiz3yuVJD3iIs8yDrVWlvOeJ7DenS1dbpF+sjVFDftHKgXA6kb5gC5lWG60lDtuYHg
 5zCbKC3rVdt0vZbKm6T8Fs32PpBct79WlcaPyoqz2GeemqJ0CdOq1BN5mb3rsuE7kBLd
 Z5Rg==
X-Received: by 10.66.157.68 with SMTP id wk4mr41583742pab.17.1373593984521;
 Thu, 11 Jul 2013 18:53:04 -0700 (PDT)
Received: from Zeuss-MacBook.local ([182.48.101.29])
 by mx.google.com with ESMTPSA id nr8sm31337534pbc.6.2013.07.11.18.52.58
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Thu, 11 Jul 2013 18:53:04 -0700 (PDT)
From: Leo Liu <sdl.web@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#12976: 24.2;
 C-c i is bound to custom function, but in a term buffer it gets bound
 to ido-insert-file
References: <86k3tbg7rq.fsf@HIDDEN> <exboenekdz.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoAgMAAADxkFD+AAAADFBMVEUvT09qWs3/pQD///+J
 kUVcAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9cBBwMLOd3veKQA
 AACuSURBVBjTldE9CgIxEAXgB+lEyFUC2wo5ikdZ8DSypxhMY7H9VuIVwlqkGRgnm59VsHGafIQ3
 CZlAtmKIRaHETgYa12lqvEsPYKf8wXHsPGfqPaUM0g9aJPKFXkmNQmSDqwzz4Fpgpz+6WAPY2z5o
 uPJJpu0uypcl4nyCibMLQ8lCiVjayLoQvw5LsVKQuHPRR958HZbOcVsKeepcLxpByjycGvnKmY+c
 MBvrtyjfe0vmuLvdq/kAAAAASUVORK5CYII=
Date: Fri, 12 Jul 2013 09:52:46 +0800
In-Reply-To: <exboenekdz.fsf@HIDDEN> (Glenn Morris's message of
 "Fri, 23 Nov 2012 22:43:04 -0500")
Message-ID: <m1mwpspms1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (OS X 10.8.4)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 12976-done
Cc: Joseph Mingrone <jrm@HIDDEN>, 12976-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: 12976 <at> debbugs.gnu.org
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 2012-11-24 11:43 +0800, Glenn Morris wrote:
> Now `C-c i' is bound to insert-file. I guess this is because
> term-escape-char = C-c, and term-raw-escape-map has Control-X-prefix as
> parent keymap. I don't know what, if anything, to do about this.

I consider this not a bug.

This is how term.el works because it has drastically different key
bindings. Thus it gives the user C-c to invoke those critical commands
on the C-x prefix, or you will be trapped in term-mode forever.
User-defined commands are secondary in this scenario.

Leo




Notification sent to Joseph Mingrone <jrm@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Leo Liu <sdl.web@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 12976 <at> debbugs.gnu.org:


Received: (at 12976) by debbugs.gnu.org; 24 Nov 2012 03:44:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 23 22:44:37 2012
Received: from localhost ([127.0.0.1]:35670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tc6fV-0005PS-1R
	for submit <at> debbugs.gnu.org; Fri, 23 Nov 2012 22:44:37 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:52958)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Tc6fT-0005PM-Bh
	for 12976 <at> debbugs.gnu.org; Fri, 23 Nov 2012 22:44:36 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Tc6e0-0001t6-GH; Fri, 23 Nov 2012 22:43:04 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Joseph Mingrone <jrm@HIDDEN>
Subject: Re: bug#12976: 24.2;
	C-c i is bound to custom function, but in a term buffer it gets bound
	to ido-insert-file
References: <86k3tbg7rq.fsf@HIDDEN>
X-Spook: Merlin Security Council Indigo Nazi BLU-114/B Majic argus
X-Ran: uvCm<N.@tWt6%H0/S%&&0=p'cZP3^Q3te\k.6:(l}E9#3f4,UdJ>=ev1zD.-yeP)YH`b>C
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 23 Nov 2012 22:43:04 -0500
In-Reply-To: <86k3tbg7rq.fsf@HIDDEN> (Joseph Mingrone's message of "Fri,
	23 Nov 2012 20:32:41 -0400")
Message-ID: <exboenekdz.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.6 (----)
X-Debbugs-Envelope-To: 12976
Cc: 12976 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.4 (-----)

Joseph Mingrone wrote:

> I bind C-c i to a custom function, but when I'm in a term buffer C-c i is
> bound to ido-insert-file. 

Nothing to do with ido, really, which just remaps insert-file.

emacs -Q -f term
bash RET

Now `C-c i' is bound to insert-file. I guess this is because
term-escape-char = C-c, and term-raw-escape-map has Control-X-prefix as
parent keymap. I don't know what, if anything, to do about this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12976; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Nov 2012 01:51:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 23 20:51:06 2012
Received: from localhost ([127.0.0.1]:35622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tc4td-0002pg-9W
	for submit <at> debbugs.gnu.org; Fri, 23 Nov 2012 20:51:06 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48404)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jrm@HIDDEN>) id 1Tc3j0-00017X-Hn
	for submit <at> debbugs.gnu.org; Fri, 23 Nov 2012 19:36:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jrm@HIDDEN>) id 1Tc3hY-0007BU-9U
	for submit <at> debbugs.gnu.org; Fri, 23 Nov 2012 19:34:33 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI,
	T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:58126)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <jrm@HIDDEN>)
	id 1Tc3hY-0007BE-6c
	for submit <at> debbugs.gnu.org; Fri, 23 Nov 2012 19:34:32 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41459)
	by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <jrm@HIDDEN>)
	id 1Tc3hW-0002X6-US
	for bug-gnu-emacs@HIDDEN; Fri, 23 Nov 2012 19:34:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jrm@HIDDEN>) id 1Tc3hV-000760-6k
	for bug-gnu-emacs@HIDDEN; Fri, 23 Nov 2012 19:34:30 -0500
Received: from mail-qa0-f41.google.com ([209.85.216.41]:34283)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <jrm@HIDDEN>)
	id 1Tc3hV-00074H-0A
	for bug-gnu-emacs@HIDDEN; Fri, 23 Nov 2012 19:34:29 -0500
Received: by mail-qa0-f41.google.com with SMTP id c26so1998465qad.0
	for <bug-gnu-emacs@HIDDEN>; Fri, 23 Nov 2012 16:34:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ftfl.ca; s=google;
	h=from:to:subject:date:message-id:mime-version:content-type;
	bh=Z1WKPQjgqhRxh0isVQeNM5JP5EwuzwQTV6fWSqEsumc=;
	b=Qah2Fua+AjZnO5huzuuvL5Q3Mmp9e0h4A2MGf98e7T3YELwaiqgOwXERCsGhlgvAN1
	fQMckHIo4h8UkfZlWsyoHUg/BQIpc/wawWlnKSv50Qi1DEAPDvYWpj16mGVapPHiG/Yb
	aX0huFz4yjGNK3pjcrXRMDwCzj86857b82axc=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
	d=google.com; s=20120113;
	h=from:to:subject:date:message-id:mime-version:content-type
	:x-gm-message-state;
	bh=Z1WKPQjgqhRxh0isVQeNM5JP5EwuzwQTV6fWSqEsumc=;
	b=oD5Egsr5VxsA9ams1ZOFY4jho+ppPEsI00ysaT9bu1JROVqnyFBmfgADBw/L6h08pL
	AHZPpGePjoUPaO4mkezNJoHIIwpq/mW+JLnkr8iSIkfOyHU/rlLUNWTl/Tr1/CEXpl09
	l/fUHRwO5qmVOvSDFhhJ0Ng03LRdcPl2dfbjaYC+1LbMVZH4xwy2lcpfD0H+4R+VQli1
	T4niNJxmitQ3QmddLmEUqga5g6nb/cPiogmD7RLYdBo/e4jypLLMPnSUUZ8M2k77zXZa
	8sGNHoLJuoI8hQYftZLa+7s2j6Awf4ZzF7M5h/i7eCNWGE6OR4U4S8MvuVbxIDb1bWQy
	kprg==
Received: by 10.224.173.76 with SMTP id o12mr6038892qaz.46.1353717268089;
	Fri, 23 Nov 2012 16:34:28 -0800 (PST)
Received: from gly.ath.cx.ftfl.ca (Dynamic34-29.Dynamic.Dal.Ca.
	[129.173.34.203])
	by mx.google.com with ESMTPS id j3sm3872498qek.7.2012.11.23.16.34.27
	(version=TLSv1/SSLv3 cipher=OTHER);
	Fri, 23 Nov 2012 16:34:27 -0800 (PST)
From: Joseph Mingrone <jrm@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2;
	C-c i is bound to custom function, but in a term buffer it gets bound
	to ido-insert-file
Date: Fri, 23 Nov 2012 20:32:41 -0400
Message-ID: <86k3tbg7rq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Gm-Message-State: ALoCoQlu7sznPPPRdSpUhRb3G1024rr/U0bvg4r5GrvrqorWVlCPhFKwBnq39VnXpgExdilBoVYb
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 23 Nov 2012 20:51:04 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

I bind C-c i to a custom function, but when I'm in a term buffer C-c i is
bound to ido-insert-file.  When I asked about this in #emacs on freenode
I was told to report a bug.


In GNU Emacs 24.2.1 (i386-portbld-freebsd8.3)
 of 2012-09-17 on gly.ath.cx
Configured using:
 `configure '--localstatedir=/var' '--without-x' '--without-sound'
 '--without-dbus' '--without-xml2' '--without-gnutls'
 '--prefix=/usr/local' '--mandir=/usr/local/man'
 '--infodir=/usr/local/info/' '--build=i386-portbld-freebsd8.3'
 'build_alias=i386-portbld-freebsd8.3' 'CC=cc' 'CFLAGS=-O2 -pipe
 -fno-strict-aliasing' 'LDFLAGS= -L/usr/local/lib
 -rpath=/usr/lib:/usr/local/lib' 'CPPFLAGS=-I/usr/local/include'
 'CPP=cpp''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_CA.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Help

Minor modes in effect:
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  show-paren-mode: t
  global-auto-revert-mode: t
  erc-spelling-mode: t
  shell-dirtrack-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
SPC SPC H a v e SPC a SPC g o o d SPC n i g h t . RET 
C-x o C-p C-p RET C-x k RET ESC x r e p TAB o TAB r 
TAB RET C - c SPC i SPC i s DEL DEL b o u n d SPC t 
o SPC c u s t o m e SPC DEL DEL SPC f u n c t i o n 
, SPC b u t SPC i n SPC t e r m SPC DEL DEL DEL DEL 
DEL a SPC t e r m SPC b u f f e r SPC i t SPC g e t 
s SPC b o u n d SPC t o SPC C-y DEL DEL DEL DEL DEL 
DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL 
DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL 
C-x o C-x o C-c n C-x h k C-c i C-x o i d o - f i n 
d - i l DEL DEL f i l e RET C-x o C-x C-f C-g C-c n 
C-x h k C-c i C-x b RET C-x o C-x b C-s RET C-p C-p 
C-p C-f C-e DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL 
DEL DEL DEL i d o - i n s e r t - f i l e C-a C-n C-n 
C-n C-n C-p C-p C-n C-n C-n C-n C-n C-n C-n C-n C-n 
ESC > ESC < C-n C-n C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-@ C-e ESC w C-x o C-x o C-x k RET y e s RET ESC 
x r e p o r TAB RET

Recent messages:
Checking 148 files in /usr/local/share/emacs/24.2/lisp/emacs-lisp...
Checking 24 files in /usr/local/share/emacs/24.2/lisp/cedet...
Checking 57 files in /usr/local/share/emacs/24.2/lisp/calendar...
Checking 87 files in /usr/local/share/emacs/24.2/lisp/calc...
Checking 65 files in /usr/local/share/emacs/24.2/lisp/obsolete...
Checking 1 files in /usr/local/share/emacs/24.2/leim...
Checking for load-path shadows...done
Quit
Type "q" in help window to restore its previous buffer.
Mark set [3 times]

Load-path shadows:
/home/jrm/.emacs.d/elpa/multi-eshell-0.0.1/multi-eshell hides ~/.elisp/multi-eshell
/home/jrm/.emacs.d/elpa/rainbow-delimiters-1.3.4/rainbow-delimiters hides ~/.elisp/rainbow-delimiters
/home/jrm/.emacs.d/elpa/multi-term-0.8.8/multi-term hides ~/.elisp/multi-term

Features:
(shadow debug emacsbug help-mode view multi-term term disp-table ehelp
electric erc-menu erc-join erc-ring erc-networks erc-pcomplete erc-track
erc-match erc-button wid-edit erc-fill erc-stamp erc-netsplit mule-util
network-stream starttls mailalias smtpmail auth-source eieio
password-cache sendmail mail-extr sort gnus-util message rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader
server time-date paren autorevert cus-start cus-load edit-server derived
erc-spelling flyspell ispell auctex-autoloads tex-site info
dired+-autoloads multi-eshell-autoloads multi-term-autoloads
rainbow-delimiters-autoloads uniquify byte-opt warnings advice help-fns
advice-preload tls package tabulated-list org-install mode-compile-kill
mode-compile reporter cl bytecomp byte-compile cconv macroexp ido
ess-toolbar ess-mouse mouseme compile tool-bar browse-url ess-menu
speedbar sb-image ezimage dframe ess-swv ess-noweb noweb-font-lock-mode
ess-bugs-l essd-els ess-sas-d ess-sas-l ess-sas-a executable shell
pcomplete ess-arc-d ess-vst-d ess-xls-d ess-lsp-l ess-sta-d ess-sta-l
cc-vars cc-defs make-regexp ess-sp6-d ess-sp5-d ess-sp3-d ess-r-d
ess-r-args assoc tooltip ess-s-l ess-inf ess-utils comint ansi-color
ring ess-mode noweb-mode edmacro kmacro ess ess-custom ess-compat
ess-site erc-goodies erc erc-backend erc-compat format-spec thingatpt pp
doc-view easymenu jka-compr image-mode image dired regexp-opt ediff-hook
vc-hooks lisp-float-type lisp-mode register page menu-bar rfn-eshadow
timer jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process multi-tty emacs)




Acknowledgement sent to Joseph Mingrone <jrm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12976; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.